Skip to main content
POST
https://{tenantDomain}/api/v2
/
connection-profiles
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.ConnectionProfiles.CreateAsync(
            new CreateConnectionProfileRequestContent {
                Name = "name"
            }
        );
    }

}
{
  "id": "<string>",
  "name": "<string>",
  "organization": {},
  "connection_name_prefix_template": "<string>",
  "enabled_features": [],
  "connection_config": {},
  "strategy_overrides": {
    "pingfederate": {
      "enabled_features": [],
      "connection_config": {}
    },
    "ad": {
      "enabled_features": [],
      "connection_config": {}
    },
    "adfs": {
      "enabled_features": [],
      "connection_config": {}
    },
    "waad": {
      "enabled_features": [],
      "connection_config": {}
    },
    "google-apps": {
      "enabled_features": [],
      "connection_config": {}
    },
    "okta": {
      "enabled_features": [],
      "connection_config": {}
    },
    "oidc": {
      "enabled_features": [],
      "connection_config": {}
    },
    "samlp": {
      "enabled_features": [],
      "connection_config": {}
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

name
string
required

The name of the connection profile.

Required string length: 1 - 50
organization
object

The organization of the connection profile.

connection_name_prefix_template
string

Connection name prefix template.

Maximum string length: 15
Pattern: ^(?!-)(?!.*--)(?:[a-zA-Z0-9-]|{org_id}|{org_name})*$
enabled_features
enum<string>[]

Enabled features for the connection profile.

Enum for enabled features.

Available options:
scim,
universal_logout
connection_config
object

Connection profile configuration.

strategy_overrides
object

Strategy-specific overrides for this attribute

Response

Connection profile successfully created.

id
string<connection-profile-id>

Connection Profile identifier.

name
string

The name of the connection profile.

Required string length: 1 - 50
organization
object

The organization of the connection profile.

connection_name_prefix_template
string

Connection name prefix template.

Maximum string length: 15
Pattern: ^(?!-)(?!.*--)(?:[a-zA-Z0-9-]|{org_id}|{org_name})*$
enabled_features
enum<string>[]

Enabled features for the connection profile.

Enum for enabled features.

Available options:
scim,
universal_logout
connection_config
object

Connection profile configuration.

strategy_overrides
object

Strategy-specific overrides for this attribute